<?php

namespace App\Controller\Config;

use App\Entity\Config\TaxRate;
use EasyCorp\Bundle\EasyAdminBundle\Field\NumberField;
use EasyCorp\Bundle\EasyAdminBundle\Field\TextField;
use Lc\CaracoleBundle\Controller\Config\TaxRateAdminController as CaracTaxRateAdminController;

class TaxRateAdminController extends CaracTaxRateAdminController
{

    public static function getEntityFqcn(): string
    {
        return TaxRate::class;
    }

    public function configureFields(string $pageName): iterable
    {
        return [
                TextField::new('title')->setLabel('Titre'),
                NumberField::new('value')->setLabel('Valeur'),
        ];
    }

}
